import org.jblas.DoubleMatrix;
import org.jblas.FloatMatrix;

import org.shogun.shogun;
import org.shogun.CSVFile;
import org.shogun.CosineDistance;
import org.shogun.RealFeatures;
import org.shogun.RealMatrix;

public class cosine {
static {
System.loadLibrary("shogun");
}

public static void main(String argv[]) {
shogun.init_shogun_with_defaults();

CSVFile f_feats_a = new CSVFile("../../data/fm_train_real.dat");
CSVFile f_feats_b = new CSVFile("../../data/fm_test_real.dat");

//![create_features]
RealFeatures features_a = new RealFeatures(f_feats_a);
RealFeatures features_b = new RealFeatures(f_feats_b);
//![create_features]

//![create_instance]
CosineDistance distance = new CosineDistance(features_a, features_a);
//![create_instance]

//![extract_distance]
DoubleMatrix distance_matrix_aa = distance.get_distance_matrix();
//![extract_distance]

//![refresh_distance]
distance.init(features_a, features_b);
DoubleMatrix distance_matrix_ab = distance.get_distance_matrix();
//![refresh_distance]

}
}
