import org.jblas.DoubleMatrix;
import org.jblas.FloatMatrix;

import org.shogun.shogun;
import org.shogun.BoolVector;
import org.shogun.ByteVector;
import org.shogun.IntVector;
import org.shogun.LongIntVector;
import org.shogun.RealVector;
import org.shogun.ShortRealVector;
import org.shogun.WordVector;

public class vector_types {
static {
System.loadLibrary("shogun");
}

public static void main(String argv[]) {
shogun.init_shogun_with_defaults();

BoolVector bool_vector = new BoolVector(2);
bool_vector.set_element(false, 0);
bool_vector.set_element(true, 1);
boolean bool_element = bool_vector.get_element(1);
bool_vector.set_element(bool_element, 0);

DoubleMatrix byte_vector = new DoubleMatrix(1, 2);
byte_vector.put(0, 0);
byte_vector.put(1, 1);
byte_vector.put(0, byte_vector.get(1));

DoubleMatrix word_vector = new DoubleMatrix(1, 2);
word_vector.put(0, 0);
word_vector.put(1, 1);
word_vector.put(0, word_vector.get(1));

DoubleMatrix int_vector = new DoubleMatrix(1, 2);
int_vector.put(0, 0);
int_vector.put(1, 1);
int_vector.put(0, int_vector.get(1));

DoubleMatrix long_int_vector = new DoubleMatrix(1, 2);
long_int_vector.put(0, 0);
long_int_vector.put(1, 1);
long_int_vector.put(0, long_int_vector.get(1));

DoubleMatrix short_real_vector = new DoubleMatrix(1, 2);
short_real_vector.put(0, 0.0f);
short_real_vector.put(1, 1.0f);
short_real_vector.put(0, short_real_vector.get(1));

DoubleMatrix real_vector = new DoubleMatrix(1, 2);
real_vector.put(0, 0.1);
real_vector.put(1, 0.1);
real_vector.put(0, real_vector.get(1));

//LongRealVector long_real_vector(2)
//long_real_vector[0]=0.1
//long_real_vector[1]=0.1
//lont_real_vector[0]=long_real_vector[1]

}
}
